//+------------------------------------------------------------------+
//|                                                          LPF.mq4 |
//+------------------------------------------------------------------+
#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 Pink

//Input parameters
extern double a=0.01;

//Indicator buffers
double ma[];

int init()
{
//Initialize indicator
   IndicatorBuffers(1);
   SetIndexBuffer(0,ma);
   SetIndexStyle(0,DRAW_LINE,STYLE_SOLID,1);
   IndicatorShortName("MA");
   return(0);
}

int deinit(){return(0);}

int start()
{
   ArrayInitialize(ma,EMPTY_VALUE);
   for(int i=Bars-1;i>=Bars-4;i--) ma[i]=Close[i];
   for(i=Bars-5;i>=0;i--)
   { 
      ma[i]=4.0*(ma[i+1]+ma[i+3])-(6.0+a)*ma[i+2]-ma[i+4]+a*Close[i+2];
      Print(DoubleToStr(ma[i],4));
      if(ma[i]>10.0 || ma[i]<-10) return(0);
   }
   return(0);
}